Package org.opensaml.core.xml.config.impl

# Class XMLObjectProviderInitializer

java.lang.Object
org.opensaml.core.xml.config.AbstractXMLObjectProviderInitializer
org.opensaml.core.xml.config.impl.XMLObjectProviderInitializer

All Implemented Interfaces:
  `Initializer`

public class XMLObjectProviderInitializer extends AbstractXMLObjectProviderInitializer
XMLObject provider initializer for module "core".

## Field Summary

Fields
Modifier and Type
Field
Description
`private static String[]`
`configs`
Config resources.

## Constructor Summary

Constructors
Constructor
Description
`XMLObjectProviderInitializer()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`getConfigResources()`
Obtain the list of configuration file resources which should be loaded.
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### configs

@Nonnull private static String[] configs
Config resources.

## Constructor Details

### XMLObjectProviderInitializer

public XMLObjectProviderInitializer()

## Method Details

### getConfigResources

@Nonnull protected String[] getConfigResources()
Obtain the list of configuration file resources which should be loaded.

Specified by:
  `getConfigResources` in class `AbstractXMLObjectProviderInitializer`
Returns:
  the list of configuration file resources

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Overrides:
  `init` in class `AbstractXMLObjectProviderInitializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully